# SSMF: Shifting Seasonal Matrix Factorization

## Contains

```sh
bin/  # shellscripts for experiments
dat/  # dataset directory
out/  # output directory
src/  # source codes
notebooks/  # jupyter notebooks for visualization
```

## How to execute SSMF

- Step 0: Install the Python environment for SSMF

```sh
conda env create -f=environment.yml
```

- Step 1: Run a shellscript for the dataset preparation

```sh
sh prepare_datasets.sh
```

- Step 2: Run a shellscript for the three datasets

```sh
sh demo_citibike.sh     # Dataset #1
sh demo_nytaxi.sh       # Dataset #2
sh demo_tycho.sh        # Dataset #3
```

- Step 3:
    To reconstruct Fig. 4, please see and run  
    notebooks/view_ssmf_result.ipynb  
    (only available for the NY-Yellow-Taxi dataset)
